import * as z from 'zod';
// prettier-ignore
export const CommissionBatchItemResultSchema = z.object({
    id: z.number().int(),
    commissionBatchId: z.number().int(),
    paymentId: z.number().int(),
    collectionAmount: z.number(),
    commissionBatch: z.unknown(),
    payment: z.unknown()
}).strict();

export type CommissionBatchItemResultType = z.infer<typeof CommissionBatchItemResultSchema>;
